Subject: Re: [multimob] draft-ietf-multimob-pmipv6-source-06

From: "Thomas C. Schmidt" <[email-masked]>
Date: Sun, 05 Jan 2014 23:26:03 +0100

Dear all,

finally we managed to do a final polishing of the draft.

Thanks to Behcet, Dirk and Sebastian for your feedback: All hints for 
improvements should have made it into the document.

I guess, we're now ready to move forward.

Cheers,

Thomas

On 25.11.2013 18:38, Behcet Sarikaya wrote:
> Dear all,
>
> WGLC on
> draft-ietf-multimob-pmipv6-source-06
>
> has ended.
>
>
> The authors, please submit your revised version.
>
> Regards,
>
> Behcet
>
>
> _______________________________________________
> multimob mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/multimob
>

-- 

Prof. Dr. Thomas C. Schmidt
° Hamburg University of Applied Sciences                   Berliner Tor 7 °
° Dept. Informatik, Internet Technologies Group    20099 Hamburg, Germany °
° http://www.haw-hamburg.de/inet                   Fon: +49-40-42875-8452 °
° http://www.informatik.haw-hamburg.de/~schmidt    Fax: +49-40-42875-8409 °

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 6 Jan 2014 11:32:30 -0600

Hi Thomas,

Thanks for coming up with the revision.

I don't know about others (Dirk and Sebastian) but I would like to see a
reply to my review.

Regards,

Behcet

On Sun, Jan 5, 2014 at 4:26 PM, Thomas C. Schmidt <
[email-masked]> wrote:

> ° http://www.haw-hamburg.de/inet                   Fon: +49-40-42875-8452°
> ° http://www.informatik.haw-hamburg.de/~schmidt    Fax: +49-40-42875-8409°

---

From: <[email-masked]>
Date: Mon, 6 Jan 2014 18:58:20 +0100

Dear Thomas and co-authors,
Thanks for your update in version -07 (!). I see my minor comment addressed in the new version ... the others had already made it to version -05 I think. A nit I detected but which may be changed in the next major revision is that the latest version of SIAL reference is meanwhile draft-ietf-multimob-handover-optimization-07.
;-)
So I am fine with moving forward ...

Best regards and HNY!
Dirk

-----Original Message-----
From: multimob [mailto:[email-masked]] On Behalf Of Thomas C. Schmidt
Sent: Sonntag, 5. Januar 2014 23:26
To: [email-masked]
Subject: Re: [multimob] draft-ietf-multimob-pmipv6-source-06

Dear all,

Thanks to Behcet, Dirk and Sebastian for your feedback: All hints for improvements should have made it into the document.

Cheers,

Thomas

--

---

From: "Thomas C. Schmidt" <[email-masked]>
Date: Mon, 06 Jan 2014 19:08:19 +0100

Hi Dirk,

thanks.

Regarding the draft references: there seems to be a bug in the ID 
reference DB, which misses the latest draft versions. I opened a ticket 
already yesterday, but no answer so far.

This seems to relate to several drafts, probably updates ran out of sync ...

Cheers,

Thomas

---

From: "Thomas C. Schmidt" <[email-masked]>
Date: Mon, 06 Jan 2014 19:24:36 +0100

Hi Behcet,

> I don't know about others (Dirk and Sebastian) but I would like to see a

Dirk and Sebastian had only few straight-forward editorials/typos ... 
which have been just corrected.

Regarding your review, please see inline:

On 24.10.2013 22:49, Behcet Sarikaya wrote:>
>
> Here are my comments on this draft. You can take it as part of WGLC
> comments. WGLC will be issued shortly.
>
> abstract and introduction
> selective route optimization schemes - add using multicast tree mobility
> anchor or multicast capable LMA
>

Details of the schemes are already part of the introduction (incl. 
various refs). For the sake of conciseness of the abstract, we would 
prefer to stick to the abstract summary "selective route optimization 
schemes", instead of naming all approaches individually.

> Figs 1 & 2  - change their placement and reformat, this may lead to the
> whole figure in one page
>

Thanks - done.

> Sec. 3.2.2 - to enable multicast data
>     transition from an MN  - replace transition with transmission?
>

Thanks - done.

> Sec. 3.2.3.1 sending
>     PIM registers to the RP - this is explained in Sec. 4.3.2, add pointer
>
> RPF (Reverse Path Forwarding) - Reverse Path Forwarding (RPF)
>
> BIDIR PIM - BIDIR-PIM
>

Thanks - all done.

> Sec. 3.2.4
> the multicast
>     routing information base (MRIB) of the MAG - I thought this was not
> possible? later on seems to be clarified in Sec. 4.3 & 4.4 (I mean
> according to our face-to-face conversations in the past?)
>

In this draft, we describe the setting of an MRIB in agreement with the 
topology of the access network. Like a unicast RIB, an MRIB can of 
course always express a regular, topology-oriented routing according to 
destination addresses in IP headers.

Our discussions, which also took place on the mailing list earlier and 
in WG meetings, were concerned with policy-based PMIP routing according 
to source addresses. This cannot be expressed in a regular MRIB.

However, we are not talking about policy routing here in the draft, so 
no conflict.

> Sec. 3.2.5
> There is no mechanism to suppress upstream
>        forwarding in the absence of receivers. - this is solved in Sec.
> 5, add a pointer to the section that brings some solution
>

Thanks, done.

> Sec. 4.3 4.4 & Fig. 3 (b)
>   see comment above on PIM at MAG
>
Thanks - done,

> Sec. 4.3.6 should be subsection  of 4.3.5?
>

No, as Section 4.3.5 is about PIM-SSM, and Section 4.3.5 discusses an 
orthogonal aspect (Handover Optimization) for both, PIM-SM and PIM-SSM.

> Sec. 5.3 Operations at the Multicast Sender - the operation described
> here is not performed by the MN which is the multicast source/sender, so
> clarify
>
> same in Sec. 5.4. Operations at the Multicast Listener
>

Thanks - both done.

> Sec. 5.4
> ASM with IGMPv3/MLDv2  - why not have this discussion in the first case,
> i.e. ASM with IGMPv2/MLDv1?
>

The first itemization is about ASM with IGMPv2/MLDv1 - it's on the 
previous page, so may be you overlooked.

> Fig. 1 caption is too long - shorten it and carry the text to Sec. 3.1.
>

Thanks, done.

> In the abstract,
> This document describes the support of mobile multicast senders - This
> document describes an experimental protocol to support mobile multicast
> senders
>

Thanks, also done ... even though I missed to correct a preposition ... 
it's already corrected for the next version.

Best regards,

Thomas

>         draft-ietf-multimob-pmipv6-__source-06
>
>         has ended.
>
>
>         _________________________________________________
>         multimob mailing list
>         [email-masked] <mailto:[email-masked]>
>         https://www.ietf.org/mailman/__listinfo/multimob
>         <https://www.ietf.org/mailman/listinfo/multimob>
>
>
>     --
>
>     ° http://www.haw-hamburg.de/inet                   Fon:
>     +49-40-42875-8452 <tel:%2B49-40-42875-8452> °
>     ° http://www.informatik.haw-__hamburg.de/~schmidt
>     <http://www.informatik.haw-hamburg.de/~schmidt>    Fax:
>     +49-40-42875-8409 <tel:%2B49-40-42875-8409> °
>     _________________________________________________
>     multimob mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://www.ietf.org/mailman/__listinfo/multimob
>     <https://www.ietf.org/mailman/listinfo/multimob>
>
>

--

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 6 Jan 2014 16:22:04 -0600

Hi Thomas,
See inline.

Regards,

Behcet

On Mon, Jan 6, 2014 at 12:24 PM, Thomas C. Schmidt <
[email-masked]> wrote:

> Details of the schemes are already part of the introduction (incl. various
> refs). For the sake of conciseness of the abstract, we would prefer to
> stick to the abstract summary "selective route optimization schemes",
> instead of naming all approaches individually.
>
> topology of the access network. Like a unicast RIB, an MRIB can of course
> always express a regular, topology-oriented routing according to
> Our discussions, which also took place on the mailing list earlier and in
> WG meetings, were concerned with policy-based PMIP routing according to
> source addresses. This cannot be expressed in a regular MRIB.
>
>
Where did you get this from? Any references?

> However, we are not talking about policy routing here in the draft, so no
> conflict.
>
>  Sec. 3.2.5

---

From: "Thomas C. Schmidt" <[email-masked]>
Date: Mon, 06 Jan 2014 23:51:15 +0100

Hi Behcet,

I'll shorten the history to make things more readable ...

On 06.01.2014 23:22, Behcet Sarikaya wrote:

>     In this draft, we describe the setting of an MRIB in agreement with
>     the topology of the access network. Like a unicast RIB, an MRIB can
>     of course always express a regular, topology-oriented routing
>     according to destination addresses in IP headers.
>
>     Our discussions, which also took place on the mailing list earlier
>     and in WG meetings, were concerned with policy-based PMIP routing
>     according to source addresses. This cannot be expressed in a regular
>     MRIB.
>
>

Well, the relevant part in the context of this draft is that one can 
express regular, topology-oriented routing in an access network within a 
regular routing table (unicast as well as multicast). It is 'sort of the 
core of IP routing', so I guess there is no doubt about that and a 
reference is not needed (otherwise we would need to recall the 
fundamentals of IP routing).

The other side about policy-based routing in PMIP was discussed some 
time ago, but is not mentioned in the draft. So there is no need to make 
a reference to it.

If you are interested in the discussion, I think major parts have been 
on the list about two years ago. There were contributions from Sri and 
in particular Stig provided longer explanations on what can be possibly 
done and what not.

But this is all outside the current spec (and of any spec that is 
MULTIMOB WG Item), so no need to return to it.

Cheers,

Thomas

--

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 9 Jan 2014 12:20:22 -0600

Hi Thomas,

My question was not related to this document specifically.
So my conclusion from your reply is that there is no written document on
so-called policy routing in PMIP. Certainly RFC 5213 does not mention it.

Is it fair to say that?

You are referring to some possible email messages, any links?

(I copied Hitoshi who was very interested in this).

BTW we will shepherd your document to IESG very soon.

Regards,

On Mon, Jan 6, 2014 at 4:51 PM, Thomas C. Schmidt <
[email-masked]> wrote:

> reference is not needed (otherwise we would need to recall the fundamentals
> of IP routing).
>
> The other side about policy-based routing in PMIP was discussed some time
> ago, but is not mentioned in the draft. So there is no need to make a
> reference to it.
>
> If you are interested in the discussion, I think major parts have been on
> the list about two years ago. There were contributions from Sri and in
> particular Stig provided longer explanations on what can be possibly done
> and what not.
>
> But this is all outside the current spec (and of any spec that is MULTIMOB
> WG Item), so no need to return to it.
>
> Cheers,
>
> Thomas
>
>
>
> --
>